# GimpUi.ProcedureDialog.fill_paned

    @accepts(GimpUi.ProcedureDialog, unicode, Gtk.Orientation, unicode, unicode)
    @returns(Gtk.Widget)
    def fill_paned(self, container_id, orientation, child1_id, child2_id):
        # Python wrapper for gimp_procedure_dialog_fill_paned()

Creates and populates a new Gtk.Paned containing widgets corresponding to child1_id and child2_id. This is similar of how GimpUi.ProcedureDialog.fill_list works except that it creates a new widget which is not inside self itself.

The container_id must be a unique ID which is neither the name of a property of the Gimp.ProcedureConfig associated to self, nor is it the ID of any previously created container. This ID can later be used together with property names to be packed in other containers or inside self itself.

self

  the GimpUi.ProcedureDialog.

container_id

  a container identifier.

orientation
child1_id

  the first child's ID.

child2_id

  the second child's ID.

Returns